LINUX.ORG.RU

Надо использовать не USE, а LINGUAS.

LINGUAS=«ru en» в make.conf.

Для надёжности можно ещё LINGUAS=«ru ru_RU en en_US».

Y ★★ ()

LINGUAS=«ru en»

Можно-ли сразу установить новейший пакет, без его размаскировки?

ACCEPT_EYWORDS=«~amd64» или как там его.

vurdalak ★★★★★ ()

Из portage нельзя.

Y ★★ ()

Какие use флаги использовать, чтобы пакеты собирались только с Русским и Английским языком?

LINGUAS=«ru en» в make.conf

Можно-ли сразу установить новейший пакет, без его размаскировки?

Если он замаскирован - нет. Или autounmask.

bsdfun ★★★★★ ()

Какие use флаги использовать, чтобы пакеты собирались только с Русским и Английским языком?

Никакие. И да LINGUAS=«ru en» это не USE флаг

Можно-ли сразу установить новейший пакет, без его размаскировки?

Да можно ставь какой тебе угодно.

init_6 ★★★★★ ()
Ответ на: комментарий от Y

И то, что так можно переключать попакетно.

anonymous ()

Какие use флаги использовать, чтобы пакеты собирались только с Русским и Английским языком?

Это не USE флаги. Пропиши в make.conf :
LINGUAS=«en ru»

Можно-ли сразу установить новейший пакет, без его размаскировки?

Что есть новейший пакет? Есть стабильные и нестабильный версии. Естественно, нестабильная версия - более новая. Еще есть live-пакеты, которые вообще закачиваются с svn/git/... репозитория. То есть совсем свежак.
Можно сделать так, чтобы все пакеты брались нестабильной версии (нестабильная ветка, включается с помощью ACCEPT_KEYWORDS=«~x86» или ACCEPT_KEYWORDS=«~amd64» в зависимости от архитектуры). Но, если ты новичок в Gentoo, я очень тебе этого не советую: намучаешься.
А тебе зачем? Чем размаскировка плоха, лень одну строчку в /etc/portage/package.unmask дописать? Поверь, нужды в этом будет в 0.1% случаев.

Kroz ★★★★★ ()
Ответ на: комментарий от iluhaoff
$ echo "=x11-base/xorg-drivers-1.8" >> /etc/portage/package.unmask

Это много?

тем более размаскировывать приходится каждый нужный пакет.

Сколько у тебя их? Только не говори, что ты этим занимаешься чтобы разруливать какие-то там зависимости?

Kroz ★★★★★ ()
Ответ на: комментарий от Kroz

разруливать какие-то там зависимости

К счастью нет, просто хочу иметь новейшие версии нужных программ, а они появляются в нестабильной ветке, вот и приходиться размаскировывать.

iluhaoff ()

Какой бы язык не прописал, патчи будут накладываться для всех.
Пример: python2 - сборка затребовала кучу патчей, включая патч для турецкого языка. Хотя в Linguas был только английский. Был ли способ не накладывать ненужные патчи, искать не стал. Хотя интересно.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.